How to remediate "Verify that Python Software Dependencies have been installed" Error on Dashboard

cancel
Showing results for 
Search instead for 
Did you mean: 
L5 Sessionator
Did you find this article helpful? Yes No
100% helpful (2/2)

Symptoms

After a fresh installation of Expedition, error message like below shows :

 

Screen Shot 2022-05-04 at 3.49.48 PM.png

Diagnosis

When Execute the following command in Expedition CLI as suggested :

 

 

sudo sh /var/www/html/OS/BPA/updateBPA306.sh

 

Script did not finished running and encountered error message below:

 

× python setup.py bdist_wheel did not run successfully.
│ exit code: 1
─> [175 lines of output]
running bdist_wheel
running build
running build_py
creating build
creating build/lib.linux-x86_64-3.8
creating build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageSequence.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/EpsImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PcxImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PdfImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/TarIO.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/IcoImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/GifImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageShow.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PpmImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageDraw.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageTransform.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ExifTags.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PdfParser.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImagePath.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/TgaImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/MpoImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/BlpImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/WmfImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PSDraw.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/GimpGradientFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/GbrImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PcdImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/SunImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageOps.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/DcxImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageEnhance.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/Jpeg2KImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/Hdf5StubImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/GimpPaletteFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageMath.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImagePalette.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/FontFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageFilter.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageCms.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/CurImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageQt.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/features.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/FliImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageMode.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/_util.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PsdImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/McIdasImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImtImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/JpegPresets.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageGrab.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/JpegImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/TiffTags.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/SpiderImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/IcnsImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/WebPImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageChops.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/_tkinter_finder.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageColor.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/GdImageFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PngImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/BufrStubImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/FtexImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/_version.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageStat.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/Image.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/MspImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PalmImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PaletteFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/MicImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ContainerIO.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/TiffImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/XVThumbImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/_binary.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/FitsStubImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/BmpImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PixarImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/IptcImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageFont.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/OleFileIO.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/SgiImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PyAccess.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/BdfFontFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageWin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/XbmImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/__init__.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/WalImageFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/XpmImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/PcfFontFile.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageTk.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/FpxImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/MpegImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageMorph.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/GribStubImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/DdsImagePlugin.py -> build/lib.linux-x86_64-3.8/PIL
copying src/PIL/ImageDraw2.py -> build/lib.linux-x86_64-3.8/PIL
running egg_info
writing src/Pillow.egg-info/PKG-INFO
writing dependency_links to src/Pillow.egg-info/dependency_links.txt
writing top-level names to src/Pillow.egg-info/top_level.txt
reading manifest file 'src/Pillow.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no files found matching '*.c'
warning: no files found matching '*.h'
warning: no files found matching '*.sh'
no previously-included directories found matching 'docs/_static'
warning: no previously-included files found matching '.appveyor.yml'
warning: no previously-included files found matching '.coveragerc'
warning: no previously-included files found matching '.codecov.yml'
warning: no previously-included files found matching '.editorconfig'
warning: no previously-included files found matching '.landscape.yaml'
warning: no previously-included files found matching '.readthedocs.yml'
warning: no previously-included files found matching '.travis'
warning: no previously-included files found matching '.travis/*'
warning: no previously-included files found matching 'tox.ini'
warning: no previously-included files matching '.git*' found anywhere in d istribution
warning: no previously-included files matching '*.pyc' found anywhere in d istribution
warning: no previously-included files matching '*.so' found anywhere in di stribution
writing manifest file 'src/Pillow.egg-info/SOURCES.txt'
running build_ext


The headers or library files could not be found for jpeg,
a required dependency when compiling Pillow from source.

Please see the install instructions at:
https://pillow.readthedocs.io/en/latest/installation.html

Traceback (most recent call last):
File "/tmp/pip-install-nbk4y0xj/pillow_f525a19fbf1d4101aeddc513ddad3999/ setup.py", line 765, in <module>
setup(name=NAME,
File "/usr/lib/python3/dist-packages/setuptools/__init__.py", line 144, in setup
return distutils.core.setup(**attrs)
File "/usr/lib/python3.8/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.8/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.8/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/usr/lib/python3/dist-packages/wheel/bdist_wheel.py", line 223, in run
self.run_command('build')
File "/usr/lib/python3.8/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/usr/lib/python3.8/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/usr/lib/python3.8/distutils/command/build.py", line 135, in run
self.run_command(cmd_name)
File "/usr/lib/python3.8/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/usr/lib/python3.8/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/usr/lib/python3.8/distutils/command/build_ext.py", line 340, in r un
self.build_extensions()
File "/tmp/pip-install-nbk4y0xj/pillow_f525a19fbf1d4101aeddc513ddad3999/ setup.py", line 612, in build_extensions
raise RequiredDependencyException(f)
__main__.RequiredDependencyException: jpeg

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<string>", line 2, in <module>
File "<pip-setuptools-caller>", line 34, in <module>
File "/tmp/pip-install-nbk4y0xj/pillow_f525a19fbf1d4101aeddc513ddad3999/ setup.py", line 812, in <module>
raise RequiredDependencyException(msg)
__main__.RequiredDependencyException:

The headers or library files could not be found for jpeg,
a required dependency when compiling Pillow from source.

Please see the install instructions at:
https://pillow.readthedocs.io/en/latest/installation.html


[end of output]

Solution

The error caused by libjpeg-dev package is missing , solution is to install the missing package before re-run the script, issue below commands first:

sudo apt-get install libjpeg-dev

Then re-run the script:

sudo sh /var/www/html/OS/BPA/updateBPA306.sh

 

Script will be completed without error , and you can verify the error message in dashboard is remediated.

 

Rate this article:
(1)
Comments
L0 Member

that worked thanks!